This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746899 - On push operations, copyTrans runs too slowly
On push operations, copyTrans runs too slowly
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
1.4.1
All All
unspecified Severity low
: ---
: ---
Assigned To: Carlos Munoz
David Mason
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2011-10-18 03:54 EDT by David Mason
Modified: 2012-03-06 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed inversion of copytrans loops to iterate over TransUnits before locales (9.04 KB, patch)
2012-02-29 22:12 EST, David Mason
no flags Details | Diff

  None (edit)
Description David Mason 2011-10-18 03:54:13 EDT
Description of problem:
copyTrans runs too slowly

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.Push from any client with copytrans enabled
2.Wait
  
Actual results:
It is slow

Expected results:
Slightly less slow

Additional info:
Comment 1 Carlos Munoz 2012-02-20 18:23:03 EST
Refactored the copy trans service to perform less database accesses and avoid unnecessary invocations. The copy trans service is also being invoked directly after pushing a resource instead of using a Seam event.

Should be anywhere between 60-80% faster than before based on tests.

See:
https://github.com/zanata/zanata/commit/aa25f30d213dcefe0f70c9119c7202cdfe4be88c
https://github.com/zanata/zanata/commit/8b5200b649e7835f9e98851d3503445ed5a8c012
https://github.com/zanata/zanata/commit/9bb7ae05ff983943ed3c70a92627df54c74c06cd
Comment 2 David Mason 2012-02-23 01:31:29 EST
Verified in 1.5

Push operations with copytrans now take up to ~30% less time with my test data.
Comment 3 David Mason 2012-02-29 22:12:24 EST
Created attachment 566721 [details]
Proposed inversion of copytrans loops to iterate over TransUnits before locales

Master branch has diverged from this, it is included here for reference (would likely be a messy merge if applied).

Note You need to log in before you can comment on or make changes to this bug.